<?php
/**
 * clase_zen_POA_PuntoCorte_Auto.php
 * @author Juan Belon
 * @access public
 * @copyright LGPL, GPL
 * @package zen_POA
 * @version 0.1.1
 * @uses zenphp FrameWork
 * @link http://csl2-zenphp.forja.rediris.es
 * @link http://www.zenphp.es
 * @link https://forja.rediris.es/projects/csl2-zenphp/
 * @magic 
 * TODO: Completar la Documentación de las clases de POA
 */
// +----------------------------------------------------------------------
// | zenphp.es
// +----------------------------------------------------------------------
require_once "clase_zen_POA_PuntoCorte.php";

                        
class zen_POA_PuntoCorte_Auto extends zen_POA_PuntoCorte
{
    /**
    * @desc Datos
    * @var array
    */
	var $auto;
	
	/**
    * @desc Constructor
    * @param 
    */
	function zen_POA_PuntoCorte_Auto($anotador, $clase, $funcion, $auto, $nombre_clase, $nombre_funcion)
	{
		zen_POA_PuntoCorte::zen_POA_PuntoCorte(
            $anotador, 
            $clase, 
            $funcion, 
            $nombre_clase, 
            $nombre_funcion
        );
		
		// Definir Auto(s)
		$this->auto = (is_array($auto) ? $auto : split(",[ ]*", $auto));
	}
    /**
    * @desc 
    */
	function obtenerAuto() { return $this->auto; }
	/**
    * @desc 
    */
	function tieneAuto($v) { 
		return in_array($v, $this->auto, true); 
	}
}


?>